# Updating an existing Workspace Invoice Preference

This endpoint returns structured Workspace Invoice Preference objects.
As with all Kantata OX API endpoints, the returned data will be referenced in sorted order in the `results` array
and will be indexed by ID in the `workspace_invoice_preferences` top-level JSON key.
Please see our [Response Format](#section/Response-Format) section for more information.

Endpoint: PUT /workspace_invoice_preferences/{id}
Version: 1.0.0

## Path parameters:

  - `id` (integer, required)
    The ID of the Model.

## Request fields (application/json):

  - `workspace_invoice_preference` (object)

  - `workspace_invoice_preference.purchase_order` (string)
    The invoice purchase order (defined by the user).

  - `workspace_invoice_preference.project_code` (string)
    The invoice project code (defined by the user).

  - `workspace_invoice_preference.client_invoice_name` (string)
    The name of the client being invoiced.

  - `workspace_invoice_preference.client_invoice_address` (string)
    The address of the client being invoiced.

  - `workspace_invoice_preference.consultant_invoice_name` (string)
    The name of the provider who is sending the invoice.

  - `workspace_invoice_preference.consultant_invoice_address` (string)
    The address of the provider who is sending the invoice.

## Response 200 fields (application/json):

  - `count` (integer)

  - `meta` (object)

  - `meta.count` (integer)

  - `meta.page_count` (integer)

  - `meta.page_number` (integer)

  - `meta.page_size` (integer)

  - `results` (array)

  - `results.key` (string)

  - `results.id` (string)

## Response 400 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 401 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 403 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 404 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 422 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

## Response 503 fields (application/json):

  - `errors` (array)

  - `errors.type` (string)

  - `errors.message` (string)

